part of tecfy_basic_package;

abstract class BaseModel {
  String get idValue;
  String get displayName;

  static bool getBool(dynamic val) {
    if (val == null) return false;
    if (val is bool) return val;
    if (val is String) return val == 'true' || val == '1';
    if (val is num) return val == 1;
    return false;
  }

  static bool isDefault(String? id) => id != null && id.length < 30;
  // convert service time to DateTime UTC
  static DateTime? parseUTC(String? serverValue,
      {String format = "yyyy-MM-ddTHH:mm", DateTime? defaultValue}) {
    if (serverValue == null) return defaultValue;
    try {
      return intl.DateFormat(format).parseUTC(serverValue);
    } catch (err) {
      return defaultValue;
    }
  }
}
